tt_message_context_xval(library call)

NAME
tt_message_context_xval — retrieve and deserialize the data from a message's context

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_context_xval(
Tt_message m,
const char *slotname,
xdrproc_t xdr_proc,
void **value);

DESCRIPTION

The tt_message_context_xval function retrieves and deserializes the data from a message's context.

The m argument is the opaque handle for the message involved in this operation. The slotname argument describes the context of this message. The xdr_proc argument points to the XDR procedure to be used to deserialize the data in the nth argument into newly allocated storage, the address of which will be stored in the pointer whose address is value.

The value argument is the data to be deserialized.

RETURN VALUE

Upon successful completion, the tt_message_context_xval function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_MODE
    The specified Tt_mode is invalid.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_XDR
    The XDR procedure failed on the given data, or evaluated to a zero-length expression.

APPLICATION USAGE

The allocation calls are made by the XDR procedure; therefore, any storage allocated is not allocated from the ToolTalk allocation stack. The application should use the xdr_free(3) call to free this storage.

SEE ALSO

Tt/tt_c.h - Tttt_c(5)